## START: Set by rpmautospec
## (rpmautospec version 0.6.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 4;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by go2rpm 1.9.0
%bcond_without check
%global debug_package %{nil}

# https://github.com/gofiber/fiber
%global goipath         github.com/gofiber/fiber/v2
Version:                2.48.0

%gometa -f

%global common_description %{expand:
Express inspired web framework written in Go.}

%global golicenses      LICENSE
%global godocs          docs utils/README.md

Name:           %{goname}
Release:        %autorelease
Summary:        Express inspired web framework written in Go

# MIT: main package
# BSD-3-Clause: internal/schema taken from github.com/gorilla/schema
#               internal/gopsutil taken from github.com/shirou/gopsutil
License:        MIT amd BSD-3-Clause
URL:            %{gourl}
Source:         %{gosource}

%description %{common_description}

%gopkg

%prep
%goprep
%autopatch -p1
rm -rfv internal/go-ole internal/wmi

%generate_buildrequires
%go_generate_buildrequires

%install
%gopkginstall

%if %{with check}
%check
# needs network
for test in "Test_Proxy_Do_WithRealURL" \
            "Test_Proxy_Do_WithRedirect" \
            "Test_Proxy_DoRedirects_RestoreOriginalURL" \
            "Test_Proxy_DoRedirects_TooManyRedirects" \
            "Test_Storage_Memory_Get" \
            "Test_Storage_Memory_Delete" \
            "Test_Limiter_Sliding_Window_Custom_Storage_Skip_Successful_Requests" \
            "Test_Limiter_Sliding_Window_Skip_Successful_Requests" \
            "Test_Limiter_Sliding_Window_Custom_Storage_Skip_Failed_Requests" \
            "Test_Limiter_Sliding_Window_Skip_Failed_Requests" \
            "Test_Idempotency" \
            "Test_Session_Save_Expiration" \
            "Test_CustomExpiration" \
            "Test_Client_UserAgent" \
            "Test_Client_Agent_Dest" \
; do
awk -i inplace '/^func.*'"$test"'\(/ { print; print "\tt.Skip(\"disabled failing test\")"; next}1' $(grep -rl $test)
done
%gocheck
%endif

%gopkgfiles

%changelog
## START: Generated by rpmautospec
* Wed Jan 24 2024 Fedora Release Engineering <releng@fedoraproject.org> - 2.48.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sat Jan 20 2024 Fedora Release Engineering <releng@fedoraproject.org> - 2.48.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sat Aug 19 2023 Robert-André Mauchin <zebob.m@gmail.com> - 2.48.0-2
- Disable some tetss

* Fri Aug 18 2023 Robert-André Mauchin <zebob.m@gmail.com> - 2.48.0-1
- Initial import
## END: Generated by rpmautospec
